ProductGroupsSearch:
  post:
    tags:
      - product_groups
    operationId: searchProductGroups
    summary: Search for objects of the type ProductGroups
    description: Search for objects of the type ProductGroups
    x-lg-handler: 'App\Http\ApiV1\Modules\Products\Controllers\ProductGroupsController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/product_groups.yaml#/SearchProductGroupsRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/product_groups.yaml#/SearchProductGroupsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
